#!/bin/csh -x

limit stacksize 65435 

  #  Set CREFL_NDVI_HOME to the root directory for the package
  setenv CREFL_HOME .

  #  Set ANCPATH to the directory which contains tbase.hdf
  #  NOTE: *** this is the only REQUIRED environment variable, the others are for convenience ***
  setenv ANCPATH ${CREFL_HOME}

  #  Set WORKPATH to a directory for the intermediate file and output file
  setenv WORKPATH ${CREFL_HOME}/../testdata/output

  #  Set the three input Level 1 .hdf files
  setenv L1DIR ../testdata/input
  setenv MOD02QKM ${L1DIR}/MOD02QKM.07053161056.hdf
  setenv MOD02HKM ${L1DIR}/MOD02HKM.07053161056.hdf
  setenv MOD021KM ${L1DIR}/MOD021KM.07053161056.hdf

  #  Set the desired output filename
  setenv CREFLFilename ${WORKPATH}/CREFL.terra.hdf

  #  Run the algorithms
  ${CREFL_HOME}/crefl.1.4.2 -v -f $MOD02HKM $MOD02QKM $MOD021KM -of=$CREFLFilename -bands=1,2,3,4,5,6,7

