#!/bin/bash
# Installs all the stations in a given SPA, by calling
# NISGS_ROOT/ncs/bin/installSPA.sh with the directory this file
# is sitting in.
# Takes no arguments - assumes it's running from NISGS_ROOT/SPA/spa_directory

# First find out where we are.  bash needs *load-truename* so bad...
# If $0 is an absolute pathname, we use it
# If it's relative to the current directory, we use `pwd`
# Otherwise, we must have used our PATH, so we let `which $0` handle it
case $0 in
        /*)  SHELLFILE=$0 ;;
        ./*) SHELLFILE=`pwd`${0#.} ;;
         *)  SHELLFILE=`which $0` ;;
esac
SHELLDIR=${SHELLFILE%/*}
NCS_HOME=${SHELLDIR}/../../ncs

# Throw a fit if we can't find the install script
if [[ ! ( -f $NCS_HOME/bin/installSPA.sh ) ]]
    then
    echo Can\'t find the NCS install script
    echo Are you sure this was unpacked in the SPA directory'?'
    exit -1
fi

$NCS_HOME/bin/installSPA.sh $SHELLDIR $*
